use crate::ShipBehavior;
use galactica_content as content;
use galactica_world::{ShipPhysicsHandle, World};

/// Dummy ship behavior.
/// Does nothing.
pub struct Dummy {
	_handle: ShipPhysicsHandle,
}

impl Dummy {
	/// Create a new ship controller
	pub fn new(handle: ShipPhysicsHandle) -> Self {
		Self { _handle: handle }
	}
}

impl ShipBehavior for Dummy {
	fn update_controls(&mut self, _physics: &mut World, _content: &content::Content) {}
	fn get_handle(&self) -> ShipPhysicsHandle {
		return self._handle;
	}
}
