#![warn(missing_docs)]

//! This module keeps track of the visible world.
//! Ships, projectiles, collisions, etc.

pub mod objects;
pub mod util;
mod world;
mod wrapper;

pub use world::World;

use rapier2d::{dynamics::RigidBodyHandle, geometry::ColliderHandle};

/// A lightweight handle for a specific ship in our physics system
#[derive(Debug, Copy, Clone, PartialEq, Eq)]
pub struct ShipPhysicsHandle(pub RigidBodyHandle, ColliderHandle);
